Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.expr
[Java] Class ArrayExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.ast.expr.ArrayExpression

    public class ArrayExpression
    extends Expression

Represents an array object construction either using a fixed size or an initializer expression

Authors:
  James Strachan

Version:
  \$Revision\$

Constructor Summary
`ArrayExpression(ClassNode elementType, java.util.List expressions, java.util.List sizeExpression)`
`ArrayExpression(ClassNode elementType, java.util.List expressions)` Creates an array using an initializer expression

Method Summary
`void` | `addExpression(Expression expression)`
`ClassNode` | `getElementType()`
`Expression` | `getExpression(int i)`
`java.util.List` | `getExpressions()`
`java.util.List` | `getSizeExpression()`
`java.lang.String` | `getText()`
`boolean` | `isDynamic()`
`java.lang.String` | `toString()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Expression
getType, setType, transformExpression, transformExpressions, transformExpressions

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ArrayExpression

    public ArrayExpression(ClassNode elementType, java.util.List expressions, java.util.List sizeExpression)

### ArrayExpression

    public ArrayExpression(ClassNode elementType, java.util.List expressions)

  Creates an array using an initializer expression

Method Detail

### addExpression

    public void addExpression(Expression expression)

### getElementType

    public ClassNode getElementType()

### getExpression

    public Expression getExpression(int i)

### getExpressions

    public java.util.List getExpressions()

### getSizeExpression

    public java.util.List getSizeExpression()

### getText

    public java.lang.String getText()

### isDynamic

    public boolean isDynamic()

### toString

    public java.lang.String toString()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)

Groovy Documentation